### execution_context::allocator< void >

    template<>
    class allocator< void >

##### Types

Name | Description
--- | ---
allocator< void >::rebind | Rebinds an allocator to another value type.
value_type | void as no objects can be allocated through a proto-allocator.

##### Member Functions

Name | Description
--- | ---
allocator | Construct an allocator that is associated with an execution context. — Construct from another allocator for a different value type.
operator!= | Inequality operator.
operator== | Equality operator.

##### Requirements

Header: `asio/execution_context.hpp`

Convenience header: `asio/execution.hpp`